package com.ruoyi.common.constant;

/**
 * @ClassName: AMapConstants
 * @Author: 于学智
 * @Description: 高德服务Constants
 * @CreateDate: 2023/9/13 23:04
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class AMapConstants {

    /**
     * 创建服务（每个 Key 下最多注册15个 Service）
     */
    public static final String AMAP_TRACK_SERVICE_ADD = "https://tsapi.amap.com/v1/track/service/add";

    /**
     * 查询服务
     */
    public static final String AMAP_TRACK_SERVICE_LIST = "https://tsapi.amap.com/v1/track/service/list";

    /**
     * 删除围栏
     */
    public static final String AMAP_TRACK_SERVICE_DELETE = "https://tsapi.amap.com/v1/track/geofence/delete";

    /**
     * 创建圆形围栏
     */
    public static final String AMAP_GEOFENCE_ADD_CIRCLE = "https://tsapi.amap.com/v1/track/geofence/add/circle";

    /**
     * 更新圆形围栏
     */
    public static final String AMAP_GEOFENCE_UPDATE_CIRCLE = "https://tsapi.amap.com/v1/track/geofence/update/circle";

    /**
     * 创建多边形围栏
     */
    public static final String AMAP_GEOFENCE_ADD_POLYGON = "https://tsapi.amap.com/v1/track/geofence/add/polygon";

    /**
     * 更新多边形围栏
     */
    public static final String AMAP_GEOFENCE_UPDATE_POLYGON = "https://tsapi.amap.com/v1/track/geofence/update/polygon";

    /**
     * 创建线形围栏
     */
    public static final String AMAP_GEOFENCE_ADD_POLYLINE = "https://tsapi.amap.com/v1/track/geofence/add/polyline";

    /**
     * 更新线形围栏
     */
    public static final String AMAP_GEOFENCE_UPDATE_POLYLINE = "https://tsapi.amap.com/v1/track/geofence/update/polyline";

    /**
     * 创建行政区划围栏
     */
    public static final String AMAP_GEOFENCE_ADD_DISTRICT = "https://tsapi.amap.com/v1/track/geofence/add/district";

    /**
     * 更新行政区划围栏
     */
    public static final String AMAP_GEOFENCE_UPDATE_DISTRICT = "https://tsapi.amap.com/v1/track/geofence/update/district";

}
